# std::multiset<Key,Compare,Allocator>::contains

From cppreference.com
< cpp‎ | container‎ | multiset

bool contains( const Key& key ) const; | (1) | (since C++20)
template< class K > bool contains( const K& x ) const; | (2) | (since C++20)

1) Checks if there is an element with key equivalent to `key` in the container.
2) Checks if there is an element with key that compares equivalent to the value `x`. This overload only participates in overload resolution if the qualified-id Compare::is_transparent is valid and denotes a type. It allows calling this function without constructing an instance of `Key`.

### Parameters

key | - | key value of the element to search for
x | - | a value of any type that can be transparently compared with a key

### Return value

true if there is such an element, otherwise false.

### Complexity

Logarithmic in the size of the container.

### Example

Run this code

    #include <iostream>
    #include <set>

    int main()
    {
        std::multiset<int> example = {1, 2, 3, 4};

        if(example.contains(2)) {
            std::cout << "Found\n";
        } else {
            std::cout << "Not found\n";
        }
    }

Output:

    Found

### See also

find | finds element with specific key (public member function)
count | returns the number of elements matching specific key (public member function)
equal_range | returns range of elements matching a specific key (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/multiset/contains&oldid=104917"